#ifndef FORMSTARTUP_H
#define FORMSTARTUP_H

#include <QWidget>
#include <QTimer>
#include <QDebug>
#include <QLabel>
#include <QMouseEvent>

#include "DataTypeDef.h"

namespace Ui {
// 声明一个名为FormStartUp的类
class FormStartUp;
}

class FormStartUp : public QWidget
{
    Q_OBJECT

public:
    explicit FormStartUp(QWidget *parent = nullptr);  // 构造函数
    ~FormStartUp();  // 析构函数

    void setBackgrounImage(const QString& imageUrl);  // 设置背景图片

private:
    void refreshVersion();
    void setVersion(const QString& ccu_version,
                    const QString& tcu_version,
                    const QString& pcu_version);

    void setChargePileInfo(const QString& charge_pile_info);

private slots:
    void timeProc();  // 定时器槽函数

signals:
    void screenSaverHide();         // 屏保隐藏信号

protected:
    void mousePressEvent(QMouseEvent *event) override;  // 鼠标点击事件
    void showEvent(QShowEvent* event) override;  // 显示事件

private:
    Ui::FormStartUp *ui;  // UI界面
    QTimer* m_timer;  // 定时器
    QLabel* backgroundImage;  // 背景图片标签
    VERSION m_version_info;
};

#endif // FORMSTARTUP_H
